Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class FuncPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperationPtg
              org.apache.poi.hssf.record.formula.AbstractFunctionPtg
                  org.apache.poi.hssf.record.formula.FuncPtg

    public final class FuncPtg

extends AbstractFunctionPtg

Author:
  aviks, Jason Height (jheight at chariot dot net dot au), Danny Mui (dmui at apache dot org) (Leftover handling)

Field Summary
`static byte` | `sid`
`static int` | `SIZE`

Fields inherited from class org.apache.poi.hssf.record.formula.AbstractFunctionPtg
`FUNCTION_NAME_IF`

Fields inherited from class org.apache.poi.hssf.record.formula.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Method Summary
`static FuncPtg` | `create(int functionIndex)`
`static FuncPtg` | `create(LittleEndianInput in)`
`int` | `getSize()`
`void` | `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.hssf.record.formula.AbstractFunctionPtg
`getDefaultOperandClass, getFunctionIndex, getName, getNumberOfOperands, getParameterClass, isBaseToken, isBuiltInFunctionName, isExternalFunction, lookupIndex, lookupName, toFormulaString, toFormulaString, toString`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Method Detail

### create

    public static FuncPtg create(LittleEndianInput in)

### create

    public static FuncPtg create(int functionIndex)

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `AbstractFunctionPtg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.